Subject: Netatalk #if problems

From: Dejan Ilic <[email-masked]>
Date: Sat, 21 Jun 1997 14:23:25 +0200 (MET DST)

Little off-topic but important.

I just got confirmed from our local C-"experts" that ANSI-C expands any
undefined references to the value "0" while K&R leaves a empty string.

So this affects the solaris-code just like I said.
Because neither BYTE_ORDER, BIG_ENDIAN and LITTLE_ENDIAN are defined in
ddp.h both "BYTE_ORDER == BIG_ENDIAN" and "BYTE_ORDER == LITTLE_ENDIAN"
cases are valid (as 0 == 0). And there you have a bug.

=====================================================================
Dejan Ilic, Tech Univ. of Linkoping, Sweden   Phone: +46-13-473 01 06
Email: [email-masked]   Web: http://www.lysator.liu.se/~svedja

"I may look like The Devil but i'm an angel deep down in my heart"
=====================================================================
[finger -l [email-masked] for public PGP key]